Summary:	X Miscellaneous Utilities library
Summary(pl.UTF-8):	Biblioteka różnych funkcji użytkowych X
Name:		xorg-lib-libXmu
Version:	1.2.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXmu-%{version}.tar.xz
# Source0-md5:	85edefb7deaad4590a03fccba517669f
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.70
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.1.0
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRequires:	xz
Requires:	xorg-lib-libXt >= 1.1.0
Obsoletes:	libXmu < 6.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Miscellaneous Utilities library.

%description -l pl.UTF-8
Biblioteka różnych funkcji użytkowych X (X Miscellaneous Utilities).

%package devel
Summary:	Header files for libXmu and libXmuu libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libXmu i libXmuu
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXt-devel >= 1.1.0
Obsoletes:	libXmu-devel < 6.3

%description devel
X Miscellaneous Utilities library.

This package contains the header files needed to develop programs that
use libXmu or libXmuu.

%description devel -l pl.UTF-8
Biblioteka różnych funkcji użytkowych X (X Miscellaneous Utilities).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXmu lub libXmuu.

%package static
Summary:	Static libXmu libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXmu
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXmu-static < 6.3

%description static
X Miscellaneous Utilities library.

This package contains the static libXmu library.

%description static -l pl.UTF-8
Biblioteka różnych funkcji użytkowych X (X Miscellaneous Utilities).

Pakiet zawiera statyczną bibliotekę libXmu.

%prep
%setup -q -n libXmu-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# (.html format) packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/libXmu/{Xmu.*,xlogo.svg}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXmu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXmu.so.6
%attr(755,root,root) %{_libdir}/libXmuu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXmuu.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/{Xmu.html,xlogo.svg}
%attr(755,root,root) %{_libdir}/libXmu.so
%attr(755,root,root) %{_libdir}/libXmuu.so
%{_libdir}/libXmu.la
%{_libdir}/libXmuu.la
%dir %{_includedir}/X11/Xmu
%{_includedir}/X11/Xmu/*.h
%{_pkgconfigdir}/xmu.pc
%{_pkgconfigdir}/xmuu.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXmu.a
%{_libdir}/libXmuu.a
%changelog
* Wed Apr 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXmu.git;a=log;h=master

* Wed Apr 17 2024 Jakub Bogusz <qboosh@pld-linux.org> a994d95
- updated to 1.2.1

* Mon Mar 25 2024 Jakub Bogusz <qboosh@pld-linux.org> dd1be5a
- updated to 1.2.0

* Wed Oct 26 2022 Jakub Bogusz <qboosh@pld-linux.org> a114079
- updated to 1.1.4

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 792b2e0
- updated to 1.1.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8f0cf54
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> b558da3
- updated to 1.1.2

* Wed Mar 07 2012 Jakub Bogusz <qboosh@pld-linux.org> c014f8b
- updated to 1.1.1

* Fri Nov 11 2011 Elan Ruusamäe <glen@pld-linux.org> cc389c1
- move api docs to -devel because files are generated and breaks multilib installs

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 47342e6
- BR: docbook-dtd43-xml

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 81e08d0
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 04cbd22
- updated to 1.1.0

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> f181e03
- rebuild
- rel 2

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> d568b08
- util-macros version
- ghost soname symlinks

* Thu Sep 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e7a3731
- up to 1.0.5

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d26dbc
- release 2

* Tue Jan 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 21e5774
- up to 1.0.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1a556ec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bcc08fa
- converted to UTF-8

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2dcff2c
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f5843a2
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

